<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.github.microservice</groupId>
        <artifactId>MSModule</artifactId>
        <version>1.0.0-SNAPSHOT</version>
        <relativePath>../../../super/MSModule</relativePath>
    </parent>

    <groupId>com.github.microservice.card</groupId>
    <artifactId>FullCardClient</artifactId>
    <name>FullCardClient</name>
    <properties>
        <java.version>17</java.version>
    </properties>
    <dependencies>

        <dependency>
            <groupId>com.github.microservice</groupId>
            <artifactId>PCore</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!--应用中心客户端-->
        <dependency>
            <groupId>com.github.microservice.components</groupId>
            <artifactId>ApplicationClient</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!-- 文档 -->
        <dependency>
            <groupId>com.github.microservice.components</groupId>
            <artifactId>Swagger2</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!-- https://mvnrepository.com/artifact/cn.hutool/hutool-all -->
        <dependency>
            <groupId>cn.hutool</groupId>
            <artifactId>hutool-all</artifactId>
            <version>5.8.20</version>
        </dependency>

        <dependency>
            <groupId>com.github.wechatpay-apiv3</groupId>
            <artifactId>wechatpay-java</artifactId>
            <version>0.2.12</version>
        </dependency>

        <dependency>
            <groupId>com.github.microservice.auth</groupId>
            <artifactId>AuthClient</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.github.microservice.opengateway</groupId>
            <artifactId>OpenApiClient</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>cn.afterturn</groupId>
            <artifactId>easypoi-base</artifactId>
            <version>4.1.0</version>
        </dependency>

        <dependency>
            <groupId>com.zswl</groupId>
            <artifactId>ConfigModel</artifactId>
            <version>1.0.0-SNAPSHOT</version>
        </dependency>

    </dependencies>

</project>
